package fr.username404.snowygui.exec

import java.awt.*
import javax.swing.JFrame
import javax.swing.JPanel

private val Background: Color = Color(
    32, // Red
    32, // Green
    135, // Blue
    120
)

object ExecObj {
    fun createWindow() {
        val frame = JFrame("Hey!")
        with(frame) {
            createInterface(this)
        }
    }
    private fun createInterface(frame: JFrame) {
        frame.setLocationRelativeTo(null)
        val panel: JPanel = object: JPanel() {
            override fun paintComponent(g: Graphics?) {
                if (g is Graphics2D) {
                    val p: Paint = GradientPaint(
                        0.0f,
                        0.0f,
                        Background,
                        width.toFloat(),
                        height.toFloat(),
                        Color(
                            52,
                            170,
                            166,
                            255
                        ),
                        true
                    )
                    val g2d = g
                    g2d.paint = p
                    g2d.fillRect(0, 0, width, height)
                } else {
                    super.paintComponent(g)
                }
            }
        }
    }
}

fun main() {
    ExecObj.createWindow()
}